# Large water test wtih atomistic cutoff

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water_atom_cutoff.pun")

# rcut value to match Tcl-ChemShell test
mm = DL_POLY(frag=water, ff='water_atom_cutoff.ff', temperature=0.0, rcut=7.5034)

sp = SP(theory=mm, gradients=True)

sp.run()

ecalc = sp.result.energy

# Test result from Tcl-ChemShell
eref = 0.7401204114

testutils.validate(ecalc, eref, 1e-6)
